@font-face {
    font-family: 'Corben';
    src: url('./fonts/Corben-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}


@font-face {
    font-family: 'Cutive Mono';
    src: url('./fonts/CutiveMono-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@import url('https://fonts.googleapis.com/css2?family=Corben:wght@400;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Cutive Mono', sans-serif;
    background: #f5f5f5;
    color: #333;
}

.p-b {
    padding-bottom: 3%;
}

/* BOTONES */

.btn {
    background: #4f5f57;
    color: white !important;
    padding: 10px 18px;
    border-radius: 20px;
}

.btn-2 {
    background: #cbbbaa;
    color: white !important;
    padding: 10px 18px;
    border-radius: 20px;
    border: solid 1px;
    font-size: 15px;
    text-align: center;
}

.btn-3 {
    background: #ffffff;
    color: #4f5f57 !important;
    padding: 10px 18px;
    border-radius: 20px;
    border: solid 1px;
    display: inline-block;
    text-decoration: none;
    font-size: 15px;
    text-align: center;
}

.btn-4 {
    background: #ffffff;
    color: #ffffff !important;
    padding: 10px 18px;
    border-radius: 20px;
    border: solid 1px;
    background-color: #aab8b0;
    font-size: 15px;
    text-align: center;
}

.whatsapp {
    position: fixed;
    top: 80%;
    right: 1%;
    z-index: 999;
}

.whatsapp img {
    width: 60px;
}


/* HERO */

.hero {
    position: relative;
    height: 90vh;
    overflow: hidden;
}

.hero img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.85);
}

/* MENU SOBRE LA IMAGEN (CENTRADO) */

.nav-wrapper {
    position: absolute;
    top: 30px;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    z-index: 100;
}

.nav {
    width: 90%;
    max-width: 900px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(255, 255, 255, 0.85);
    backdrop-filter: blur(8px);
    padding: 10px 30px;
    border-radius: 24px;
    position: relative;
}

.logo img {
    height: 50px;
    width: auto;
}

.menu {
    display: flex;
    gap: 28px;
    align-items: center;
}

.menu a {
    text-decoration: none;
    color: #333;
    font-size: 14px;
    font-weight: 400;
}



/* ESTILOS HAMBURGUESA (Ocultos por defecto) */

#check {
    display: none;
}

.checkIt {
    display: none !important;
}

.checkbtn {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.checkbtn span {
    display: block;
    width: 25px;
    height: 3px;
    background: #333;
    border-radius: 2px;
}

/* HERO TEXT */

.hero-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
}

.tag {
    font-size: 15px;
    letter-spacing: 3px;
    margin-bottom: 14px;
    padding: 20px;
}

.hero h1 {
    font-family: 'Corben', serif;
    font-size: 52px;
    line-height: 1.2;
    font-weight: 100;
}

/* GRID */

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 25px;
    padding: 70px 6%;
}

.card {
    background: white;
    border-radius: 16px;
    overflow: hidden;
}

.card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card.text {
    padding: 40px;
}

.beige {
    background: #CBBBAA;
}

.green {
    background: #aab8b0;
}

.card h2 {
    margin-bottom: 15px;
    font-family: 'Corben', serif;
    font-weight: 100;
    color: #ffffff;
}

.card p {
    margin-bottom: 13px;
    font-weight: 100;
    color: #ffffff;
}

.card a {
    display: inline-block;
    margin-top: 18px;
    text-decoration: none;
    font-size: 14px;
    color: #333;
}

/* BANNER */

.banner {
    position: relative;
    height: 90vh;
    overflow: hidden;
}

.banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.85);
}

.banner h2 {
    font-size: 40px;
    margin-bottom: 20px;
    font-family: 'Corben', serif;
    font-weight: 100;
    color: #ffffff;
    text-align: center;
}


.banner p {
    font-size: 18px;
    font-weight: 100;
    color: #ffffff;
    text-align: center;

}

.banner div {
    position: absolute;
}


#mentorias div,
#asesoria div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* FOOTER */

.footer {
    background: #4f5f57;
    color: white;
}

.footer-container {
    display: grid;
    grid-template-columns: 2fr 2fr 2fr;
    gap: 20px;
    padding: 60px 10%;
}

.brand img {
    width: 100px;
}

.footer-col div {
    display: flex;
    padding: 5px 0;
    justify-content: start;
    align-items: center;
}

.footer-col div img {
    width: 19px;
}

.footer-col div p {
    padding: 0 5px;
}

.footer-col h3 {
    font-family: 'Corben', serif;
    margin-bottom: 15px;
    font-weight: 100;
}

.footer-col h4 {
    margin-bottom: 15px;
    font-weight: 500;
}

.footer-col a {
    display: block;
    text-decoration: none;
    color: white;
    margin-bottom: 8px;
    font-size: 14px;
}

.footer-bottom {
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    text-align: center;
    padding: 20px;
    font-size: 13px;
}


/*ANIMACIONES */

html {
    scroll-behavior: smooth;
}

a,
button,
.btn,
.btn-2,
.btn-3,
.btn-4,
.card,
img {
    transition: all 0.35s ease;
}

.menu a {
    text-decoration: none;
    color: #333;
    font-size: 14px;
    font-weight: 400;
    position: relative;
}

.menu .item-menu::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0%;
    height: 1px;
    background: #4f5f57;
    transition: width 0.3s ease;
}

.menu a:hover::after {
    width: 100%;
}

.btn:hover,
.btn-2:hover,
.btn-3:hover,
.btn-4:hover {
    transform: translateY(-2px) scale(1.02);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.12);
}

.card {
    border-radius: 16px;
    overflow: hidden;
    transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.card:hover {
    transform: translateY(-1px);
    box-shadow: 0 18px 40px rgba(0, 0, 0, 0.08);
}


.card img,
.banner img,
.hero img {
    transition: transform 1.2s ease;
}

.card:hover img,
.banner:hover img {
    transform: scale(1.03);
}

.hero-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    animation: fadeUp 1.2s ease;
}

@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translate(-50%, -40%);
    }

    to {
        opacity: 1;
        transform: translate(-50%, -50%);
    }
}





.whatsapp img {
    width: 60px;
    transition: transform 0.3s ease;
}

.whatsapp img:hover {
    transform: scale(1.12);
}

.nav {
    transition:
        background 0.4s ease,
        box-shadow 0.4s ease,

}

.nav:hover {
    transform: translateY(-0.5px);
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.08);
}

/* RESPONSIVE */

@media(max-width: 900px) {

    .nav {
        flex-wrap: wrap;
        /* Permite que el menú baje a la siguiente línea */
        padding: 15px 30px;
        transition: all 0.3s ease;
    }

    .checkbtn {
        display: flex;
        /* Mostramos la hamburguesa */
        order: 2;
    }

    .logo {
        order: 1;
    }

    .menu {
        order: 3;
        width: 100%;
        max-height: 0;
        overflow: hidden;
        flex-direction: column;
        gap: 15px;
        text-align: center;
        opacity: 0;
        transition:
            max-height 0.4s ease,
            opacity 0.3s ease,
            padding 0.3s ease,
            margin 0.3s ease;
    }


    /* Cuando el checkbox está marcado, mostramos el menú */
    #check:checked~.menu {
        display: flex;
        max-height: 400px;
        opacity: 1;
        padding-top: 20px;
        margin-top: 10px;
    }

    /* Opcional: un poco de estilo a los enlaces en móvil */
    .menu a {
        font-size: 16px;
        padding: 5px 20px;
    }

    .btn {
        display: inline-block;
        width: fit-content;
        align-self: center;
    }

    /* Ajustes extras para el Hero en móvil */
    .hero h1 {
        font-size: 23px;
    }

    .grid {
        grid-template-columns: 1fr;

    }

    .footer-container {
        grid-template-columns: 1fr;

    }

    .hero-content {
        width: 80%;
        top: 60%;
    }


    #mentorias div,
    #asesoria div {
        width: 80%;

    }

    .banner h2 {
        font-size: 22px;
    }

    .banner p {
        font-size: 15px;
    }

    .p-b {
        padding-bottom: 7%;
    }
}